Knowledge Base
cancel
Showing results for 
Search instead for 
Did you mean: 

Instructions for upgrading LNS server with Lonmaker 3.13

Issue

Many customers still have a requirement to run Lonmaker 3.13, but have project specific issues related to software fixes in newer version of LNS Server , and an LNS Server upgrade is required.

Environment

  • Echelon Lonmaker
  • LNS

Cause

Older versions of Lonmaker 3.1 and LNS server had multiple defects that were addressed in later version of Lonmaker Turbo and LNS Server Turbo. However, it is possibly to run Lonmaker 3.1 and only upgrade the LNS server engine to take advantage of software fixes over time.

Resolution

NOTE: Any LNS Server version older than 3.10 needs to first be upgraded to 3.2x before 3.2x service packs can be installed. Also, please take into consideration that after upgrading the LNS Server on a system that any other system that needs to open that same database will have to be at the same version or higher. For example: a database upgraded to 3.27 can not be opened on the machine running 3.08.

 

Please follow these steps for upgrading LNS server to 3.22 and finally up to 3.27:

  1. Identify what version of Lonmaker and LNS server are currently running on the system. Please see Lessons Learned Article #6721 for instructions on how to find the current version of Lonmaker and LNS Server currently running.
    As seen in the screen shot below the system is running Lonmaker 3.13.10 with LNS Server version 3.08.
  2. Download LNS Server 3.22. Once this file is downloaded please unzip all of the contents to the desktop of the local machine.
  3. Run setup.exe from the extracted files in the LNS Server 3.22.zip, and step through the installation process.
  4. Once the installation of 3.22 is complete please reboot the machine.  
  5. After the machine has rebooted please verify that the system is now running LNS Server 3.22. Using Lessons Learned Article #6721 for instructions on how to find the current version of Lonmaker and LNS server the system should now show LNS Server version 3.22 like below:
  6. Now that the system is upgraded from LNS Server 3.08 to 3.22, service pack 7 should be installed to upgrade the system to LNS Server 3.27. Please download LNS Server/Turbo edition Service Pack 7 file to your local machine.
  7. Unzip the contents of the LNSServerTurboSp7.zip to the desktop of the local machine, and run the LNSturboServerSp7.exe file. Step through the installation process. When the installation is completed please reboot the machine.
  8. After the machine has rebooted please verify that the system is now running LNS Server 3.27. Using Lessons Learned Article #6721 for instructions on how to find the current version of Lonmaker and LNS server the system should now show LNS Server version 3.27 like below:
Tags (1)
Labels (1)
Version history
Revision #:
2 of 2
Last update:
‎2018-09-10 05:22 AM
Updated by:
 
Contributors